var gameEndSkin=gameEndSkin||{};
gameEndSkin.GameEndSkin=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameEndSkin.GameEndSkin,F2xContainer);
gameEndSkin.GameEndSkin.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d2=Flash2x.t(0,decodeURI("%E6%B8%B8%E6%88%8F%E7%BB%93%E6%9D%9F%E5%95%A6%20!"),60,"#267DAC","Microsoft YaHei",0,0,396,79.2,81.2,"center",false,false,"multiline",false);
	Flash2x.d(_d2,{x:122,y:398.25});
	var _d1=Flash2x.t(0,decodeURI("%E7%B3%BB%E7%BB%9F%E6%AD%A3%E5%9C%A8%E5%A4%84%E7%90%86%E4%B8%AD%E5%A5%96%E5%90%8D%E5%8D%95..."),36,"#267DAC","Microsoft YaHei",0,0,496,47.5,49.5,"center",false,false,"single",false);
	_d1.name="statusTxt";
	s.statusTxt=_d1;
	Flash2x.d(_d1,{x:72,y:509.25});
	var _d0=Flash2x.t(0,decodeURI("%E6%9C%80%E4%BD%B3%E6%88%90%E7%BB%A9%EF%BC%9A99%E5%88%86"),40,"#FFFFFF","Microsoft YaHei",0,0,396,52.75,54.75,"center",false,true,"single",false);
	_d0.name="scoreTxt";
	s.scoreTxt=_d0;
	Flash2x.d(_d0,{x:122,y:240.8});
	var _d6=Flash2x.b("gameEndSkin","line");
	Flash2x.d(_d6,{x:121,y:217});
	var _d5=new gameEndSkin.F2xAuto_3();
	_d5.initButton();
	_d5.name="ruleBtn";
	s.ruleBtn=_d5;
	Flash2x.d(_d5,{x:15,y:42});
	_d5.initButton();
	var _d4=new gameEndSkin.F2xAuto_1();
	_d4.initButton();
	_d4.name="recordBtn";
	s.recordBtn=_d4;
	Flash2x.d(_d4,{x:534});
	_d4.initButton();
	var _d3=Flash2x.b("gameEndSkin","bg");
	s.addChild(_d3);
	s.addChild(_d4);
	s.addChild(_d5);
	s.addChild(_d6);
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	//f2x_auto_created_init_end
	
};
